%global bundle org.apache.aries.util

Name:          aries-util
Version:       1.1.1
Release:       %mkrel 1
Group:         Development/Java
Summary:       Apache Aries Util
License:       ASL 2.0
URL:           http://aries.apache.org/
#Source0:       http://www.apache.org/dist/aries/%%{bundle}-parent-%%{version}-source-release.zip
Source0:       http://central.maven.org/maven2/org/apache/aries/%{bundle}-parent/%{version}/%{bundle}-parent-%{version}-source-release.zip
# org.osgi.service.framework.CompositeBundle was removed
# http://help.eclipse.org/mars/topic/org.eclipse.platform.doc.isv/porting/removals.html#compositeBundles
Patch0:        aries-util-1.1.0-remove-CompositeBundle.patch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.eclipse:osgi)

BuildArch:     noarch

%description
This bundle contains the OSGi common util for Apache Aries.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-parent-%{version}
# Do not remove test resources
find . -name  "*.jar" -print ! -type d -delete

%patch0 -p1

%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.apache.aries</groupId>"
%pom_remove_parent util
%pom_remove_parent util-r42
%pom_xpath_inject "pom:project" "<groupId>org.apache.aries</groupId>" util
%pom_xpath_inject "pom:project" "<groupId>org.apache.aries</groupId>" util-r42

%pom_add_plugin org.apache.felix:maven-bundle-plugin util '
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
    <Export-Package>${aries.osgi.export.pkg}</Export-Package>
    <Import-Package>${aries.osgi.import.pkg}</Import-Package>
    <Private-Package>${aries.osgi.private.pkg}</Private-Package>
    <Implementation-Title>Apache Aries</Implementation-Title>
    <Implementation-Version>${project.version}</Implementation-Version>
    <Bundle-Vendor>The Apache Software Foundation</Bundle-Vendor>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%pom_add_plugin org.apache.felix:maven-bundle-plugin util-r42 '
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
    <Implementation-Title>Apache Aries</Implementation-Title>
    <Implementation-Version>${project.version}</Implementation-Version>
    <Bundle-Vendor>The Apache Software Foundation</Bundle-Vendor>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

# Useless tasks
%pom_remove_plugin :maven-javadoc-plugin util
%pom_remove_plugin org.apache.aries.versioning:org.apache.aries.versioning.plugin util

# Use eclipse only
# cannot find symbol org.osgi.framework.Bundle#adapt(java.lang.Class<org.osgi.framework.wiring.BundleWiring>)
%pom_remove_dep org.osgi: util-r42
%pom_remove_dep org.osgi: util

%pom_xpath_remove "pom:dependency[pom:artifactId= 'osgi']/pom:scope" util-r42
%pom_xpath_remove "pom:dependency[pom:artifactId= 'osgi']/pom:scope" util
%pom_xpath_remove "pom:dependency[pom:artifactId= 'org.apache.aries.util-r42']/pom:scope" util

%build

# test disabled because of missing dependency:
# org.apache.aries.testsupport:org.apache.aries.testsupport.unit:1.0.0
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Fri May 12 2017 neoclust <neoclust> 1.1.1-1.mga6
+ Revision: 1100518
- New version 1.1.1

* Wed Mar 02 2016 neoclust <neoclust> 0.4-11.mga6
+ Revision: 982527
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0.4-10.mga6
+ Revision: 975428
- First rebuild of the java stack
- sync package aries-util with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-8.mga5
+ Revision: 751173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-7.mga5
+ Revision: 677898
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.4-6.mga4
+ Revision: 545800
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 dmorgan <dmorgan> 0.4-5.mga4
+ Revision: 501823
- Build with xmvn

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4-3.mga3
+ Revision: 346062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 0.4-2.mga3
+ Revision: 331530
- imported package aries-util


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 14 2012 Patryk Obara <pobara@redhat.com> 0.4-1
- Initial packaging
